Package org.jcsp.net

# Interface NetSharedConnectionServer

All Superinterfaces:
  `ConnectionServer`, `NetConnectionServer`, `Networked`, `SharedConnectionServer`

public interface NetSharedConnectionServer extends SharedConnectionServer, NetConnectionServer
Instances of classed implementing this method are `SharedConnectionServer` objects which accept connections from clients from over a JCSP.NET network.

Author:
  Quickstone Technologies Limited

## Field Summary

### Fields inherited from interface org.jcsp.lang.ConnectionServer

`FACTORY`

## Method Summary

### Methods inherited from interface org.jcsp.lang.ConnectionServer

`reply, reply, replyAndClose, request`

### Methods inherited from interface org.jcsp.net.NetConnectionServer

`destroyServer`

### Methods inherited from interface org.jcsp.net.Networked

`getChannelLocation`

### Methods inherited from interface org.jcsp.lang.SharedConnectionServer

`duplicate`